# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1176+1.1069.1.253 -> 1.1177 
#	include/acpi/acglobal.h	1.22.1.3 -> 1.27   
#	include/acpi/acutils.h	1.22.1.3 -> 1.27   
#	drivers/acpi/hardware/hwgpe.c	1.17.1.2 -> 1.21   
#	drivers/acpi/utilities/uteval.c	1.15.1.3 -> 1.20   
#	drivers/acpi/hardware/hwsleep.c	1.22.1.3 -> 1.27   
#	drivers/acpi/utilities/utglobal.c	1.20.1.6 -> 1.28   
#	drivers/acpi/resources/rsxface.c	1.15.1.2 -> 1.19   
#	include/acpi/acconfig.h	1.47    -> 1.48   
#	drivers/acpi/namespace/nsxfname.c	1.14.1.3 -> 1.19   
#	arch/i386/kernel/mpparse.c	1.27.1.18 -> 1.42   
#	drivers/acpi/executer/exfldio.c	1.27    -> 1.28   
#	drivers/acpi/system.c	1.13.1.4 -> 1.20   
#	drivers/acpi/namespace/nseval.c	1.15.1.2 -> 1.19   
#	arch/i386/kernel/setup.c	1.68.1.12 -> 1.86   
#	drivers/acpi/namespace/nsutils.c	1.21.1.4 -> 1.28   
#	         mm/mremap.c	1.5.1.4 -> 1.12   
#	include/acpi/actypes.h	1.27.1.3 -> 1.32   
#	            Makefile	1.190.7.13 -> 1.260  
#	drivers/acpi/hardware/hwregs.c	1.20.1.4 -> 1.27   
#	Documentation/Configure.help	1.162.1.71 -> 1.208  
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Mon Mar  8 15:51:43 2004
+++ b/Documentation/Configure.help	Mon Mar  8 15:51:43 2004
@@ -18567,6 +18567,11 @@
   purpose port, say Y here. See
   <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
 
+Support for serial ports defined in ACPI namespace
+CONFIG_SERIAL_ACPI
+  If you wish to enable serial port discovery via the ACPI
+  namespace, say Y here.  If unsure, say N.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Mon Mar  8 15:51:43 2004
+++ b/Makefile	Mon Mar  8 15:51:43 2004
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
diff -Nru a/drivers/acpi/executer/exfldio.c b/drivers/acpi/executer/exfldio.c
--- a/drivers/acpi/executer/exfldio.c	Mon Mar  8 15:51:43 2004
+++ b/drivers/acpi/executer/exfldio.c	Mon Mar  8 15:51:43 2004
@@ -154,8 +154,7 @@
 			field_datum_byte_offset, obj_desc->common_field.access_byte_width,
 			acpi_ut_get_node_name (rgn_desc->region.node), rgn_desc->region.length));
 
-		#ifdef CONFIG_ACPI_RELAXED_AML
-		{
+		if (!acpi_strict) {
 			/*
 			 * Allow access to the field if it is within the region size
 			 * rounded up to a multiple of the access byte width.  This
@@ -186,9 +185,9 @@
 				return_ACPI_STATUS (AE_OK);
 			}
 		}
-		#else
+		else {
 			return_ACPI_STATUS (AE_AML_REGION_LIMIT);
-		#endif
+		}
 	}
 
 	return_ACPI_STATUS (AE_OK);
diff -Nru a/drivers/acpi/system.c b/drivers/acpi/system.c
--- a/drivers/acpi/system.c	Mon Mar  8 15:51:43 2004
+++ b/drivers/acpi/system.c	Mon Mar  8 15:51:43 2004
@@ -364,6 +364,15 @@
 	return status;
 }
 
+#else
+
+acpi_status
+acpi_system_save_state(
+	u32			state)
+{
+	return AE_OK;
+}
+
 #endif /* CONFIG_ACPI_SLEEP */
 
 
diff -Nru a/include/acpi/acconfig.h b/include/acpi/acconfig.h
--- a/include/acpi/acconfig.h	Mon Mar  8 15:51:43 2004
+++ b/include/acpi/acconfig.h	Mon Mar  8 15:51:43 2004
@@ -64,7 +64,7 @@
 
 /* Version string */
 
-#define ACPI_CA_VERSION                 0x20040211
+#define ACPI_CA_VERSION                 0x20040220
 
 /* Maximum objects in the various object caches */
 
diff -Nru a/mm/mremap.c b/mm/mremap.c
--- a/mm/mremap.c	Mon Mar  8 15:51:43 2004
+++ b/mm/mremap.c	Mon Mar  8 15:51:43 2004
@@ -9,6 +9,7 @@
 #include <linux/shm.h>
 #include <linux/mman.h>
 #include <linux/swap.h>
+#include <linux/hugetlb.h>
 
 #include <asm/uaccess.h>
 #include <asm/pgalloc.h>
@@ -287,6 +288,10 @@
 	vma = find_vma(current->mm, addr);
 	if (!vma || vma->vm_start > addr)
 		goto out;
+	if (is_vm_hugetlb_page(vma)) {
+		ret =  -EINVAL;
+		goto out;
+	}
 	/* We can't remap across vm area boundaries */
 	if (old_len > vma->vm_end - addr)
 		goto out;
